{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/tool"
                }
            ],
            "steps": [
                {
                    "run": "#echo-file-tool.cwl",
                    "in": [
                        {
                            "valueFrom": "$(inputs.tool.nameext)",
                            "id": "#main/ext/in"
                        },
                        {
                            "source": "#main/tool",
                            "id": "#main/ext/tool"
                        }
                    ],
                    "out": [
                        "#main/ext/out"
                    ],
                    "id": "#main/ext"
                },
                {
                    "run": "#echo-file-tool.cwl",
                    "in": [
                        {
                            "valueFrom": "$(inputs.tool.nameroot)",
                            "id": "#main/root/in"
                        },
                        {
                            "source": "#main/tool",
                            "id": "#main/root/tool"
                        }
                    ],
                    "out": [
                        "#main/root/out"
                    ],
                    "id": "#main/root"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/ext/out",
                    "id": "#main/extFile"
                },
                {
                    "type": "File",
                    "outputSource": "#main/root/out",
                    "id": "#main/rootFile"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "echo"
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#echo-file-tool.cwl/in"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#echo-file-tool.cwl/out",
                    "outputBinding": {
                        "glob": "bc09a99b15e832787e5af996b5fdf747bcb97119"
                    }
                }
            ],
            "id": "#echo-file-tool.cwl",
            "stdout": "bc09a99b15e832787e5af996b5fdf747bcb97119"
        }
    ],
    "cwlVersion": "v1.0"
}
